All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PEthSocket::Frame Struct Reference

An ethernet MAC frame. More...

`#include <ethsock.h>`

## Public Member Functions

void | Parse (WORD &type, BYTE *&payload, PINDEX &length)
| Parse the Ethernet Frame to extract the frame type and the address of the payload. More...

## Public Attributes

Address | dst_addr
Address | src_addr
union {
struct {
WORD type
BYTE payload [1500]
} ether
struct {
WORD length
BYTE dsap
BYTE ssap
BYTE ctrl
BYTE oui [3]
WORD type
BYTE payload [1492]
} snap
}; |

## Detailed Description

An ethernet MAC frame.

## Member Function Documentation

void PEthSocket::Frame::Parse | ( | WORD & | type,
|  | BYTE *& | payload,
|  | PINDEX & | length
| ) |  |

Parse the Ethernet Frame to extract the frame type and the address of the payload.

The length should be the original bytes read in the frame and may be altered to information contained in the frame, if available.

## Member Data Documentation

union { ... }

BYTE PEthSocket::Frame::ctrl

BYTE PEthSocket::Frame::dsap

Address PEthSocket::Frame::dst_addr

struct { ... } PEthSocket::Frame::ether

WORD PEthSocket::Frame::length

BYTE PEthSocket::Frame::oui[3]

BYTE PEthSocket::Frame::payload[1492]

struct { ... } PEthSocket::Frame::snap

Address PEthSocket::Frame::src_addr

BYTE PEthSocket::Frame::ssap

WORD PEthSocket::Frame::type

The documentation for this struct was generated from the following file:

- ethsock.h